Bug 1011902 - [AMQP 1.0] qpidd crashes if attempting to use QMF over AMQP 1.0
[AMQP 1.0] qpidd crashes if attempting to use QMF over AMQP 1.0
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity high
: 3.0
: ---
Assigned To: Gordon Sim
Petr Matousek
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-09-25 07:12 EDT by Gordon Sim
Modified: 2015-01-21 07:56 EST (History)
5 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:56:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An example that uses QMFv2 over 1.0 to retrieve a list of queues from broker (2.34 KB, text/x-c++src)
2013-09-25 07:12 EDT, Gordon Sim
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5150 None None None Never

  None (edit)
Description Gordon Sim 2013-09-25 07:12:26 EDT
Created attachment 802735 [details]
An example that uses QMFv2 over 1.0 to retrieve a list of queues from broker

Description of problem:

The QMF code in the broker assumes message have arrived in 0-10 format. If they are in fact 1.0 messages it segfaults.

Version-Release number of selected component (if applicable):

qpid 0.24

How reproducible:

100%

Steps to Reproduce:
1. run attached example against a 1.0 enabled qpidd

Actual results:

broker seg faults

Expected results:

broker shouldn't seg fault (ideally the example should return a list of queues)

Additional info:
Comment 1 Gordon Sim 2013-09-25 07:28:44 EDT
Fixed upstream by https://svn.apache.org/r1525044 and https://svn.apache.org/r1526156
Comment 4 Petr Matousek 2014-01-09 09:21:26 EST
This issue has been fixed. Verified on rhel6.5 (x86_64, i386).

packages under test:
qpid-cpp-*-0.22-30

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.